%set_verify_elf_method unresolved=relaxed
# -*- mode: rpm-spec; mode: folding  -*-
# $Id: graphviz,v 1.42 2005/06/13 17:14:08 me Exp $

Name: graphviz
Version: 2.2.1
Release: alt2

Summary: Graphs visualization tools
License: AT&T open source (see COPYING)
Group: Publishing
Url: http://www.graphviz.org/

Source0: %name-%version.tar.bz2
Patch0: %name-2.2-alt-libpath.patch
Patch1: %name.as-needed.patch
Patch2: %name.as-needed.2.patch


Provides: libdotneato = %version-%release
Obsoletes: libdotneato

BuildRequires: flex fontconfig-devel freetype2-devel gcc-c++ gd2-utils libexpat-devel libgd2-devel libjpeg-devel libpng-devel libstdc++-devel tcl-devel tk-devel xorg-x11-devel zlib-devel

# {{{ subpackages
%package devel
Summary: Header files and C programming manual for %name
Group: Development/C
Requires: %name = %version-%release

%package doc
Summary: Documentation for %name
Group: Publishing
Requires: %name = %version-%release

%package demos
Summary: A collection of programs to demonstrate the features of %name
Group: Publishing
Requires: %name-tcl = %version-%release tk-demos >= 8.4.0-alt1 tcl-gd tcl-tkspline

%package tcl
Summary: Tcl bindings to %name
Group: Development/Tcl
Requires: tcl >= 8.4.0-alt1

%package -n tcl-gd
Summary: A Tcl bindings for Gd library
Group: Development/Tcl
Requires: tcl >= 8.4.0-alt1

%package -n tcl-tkspline
Summary: Additional smoothing method for Tk canvas items
Group: Development/Tcl
Requires: tk >= 8.4.0-alt1

# }}}

# {{{ descriptions
%description
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

%description devel
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

This package includes header files and C programming manual for %name.


%description doc
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

This package contains modt of documentation for %name

%description demos
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

This package contains a collection of programs to demonstrate the features
of %name.

%description tcl
%name is a set of graph drawing tools for Un*x or MS-Wind*ws (win32).
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.

This package makes %name functionality accessible from Tcl.

%description -n tcl-gd
Gd is a graphics library for drawing image files in various formats. Gd
allows your code to quickly draw images (lines, arcs, text, multiple colors,
cutting and pasting from other images, flood fills) and write out the result
as a jpeg, png or wbmp file. Gd is particularly useful in web applications,
where jpeg, png or wbmp files are commonly used as inline images.  Note,
however, that gd is not a paint program.

This package provides Tcl bindings for the Gd library.

%description -n tcl-tkspline
This package provides additional smoothing method for Tk canvas items,
initially released as part of Jan Nijtman's "dash" patch.

# }}}

%prep
%setup -q
%patch1 -p0
%patch2 -p0

%build
%add_optflags -DNDEBUG %optflags_fastmath -Wl,--no-as-needed
autoreconf -fisv
#patch0 -p1
patch -p1 < %PATCH0
%configure --enable-gvrender
# SMP-incompatible
%__make -C dotneato/gvrender
%__make

%install
%make_install DESTDIR=%buildroot install -C dotneato/gvrender
%make_install DESTDIR=%buildroot install
%__mkdir_p %buildroot%_defaultdocdir
%__mv %buildroot%_datadir/%name/doc %buildroot%_defaultdocdir/%name
%__mkdir_p -m0755 %buildroot%_tcldatadir/{%name,gd,tkspline}
%__cat <<EOF > %buildroot%_tcldatadir/gd/pkgIndex.tcl
package ifneeded Gdtclft %version "load [file join \$dir .. .. .. lib tcl libgdtclft.so.0] Gdtclft"
EOF
%__cat <<EOF > %buildroot%_tcldatadir/%name/pkgIndex.tcl
package ifneeded Tcldot %version "load [file join \$dir .. .. .. lib tcl libtcldot.so.0] Tcldot"
package ifneeded Tclpathplan %version "load [file join \$dir .. .. .. lib tcl libtclplan.so.0] Tclpathplan"
EOF
%__cat <<EOF > %buildroot%_tcldatadir/tkspline/pkgIndex.tcl
package ifneeded Tkspline %version "
	package require Tk 8.3
        load [file join \$dir .. .. .. lib tcl libtkspline.so.0] Tkspline"
EOF

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/*
%exclude %_bindir/dotneato-config
%_libdir/lib*.so.*
%_datadir/%name/lefty
%_man1dir/*
%exclude %_man1dir/dotneato-config.*

%files devel
%_includedir/%name
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_bindir/dotneato-config
%_man1dir/dotneato-config.*
%_man3dir/*
 
%files demos
%_datadir/%name/demo
%_datadir/%name/graphs

%files doc
%_defaultdocdir/%name
 
%files tcl
%_tcllibdir/libtcldot.so.0*
%_tcllibdir/libtclplan.so.0*
%_tcldatadir/%name
%_mandir/mann/tcldot.n.*

%files -n tcl-gd
%_tcllibdir/libgdtclft.so.0*
%_tcldatadir/gd
%_mandir/mann/gdtclft.n*

%files -n tcl-tkspline
%_tcllibdir/libtkspline.so.0*
%_tcldatadir/tkspline
%_mandir/mann/tkspline.n.*

%changelog
* Mon Jul 03 2006 Denis Smirnov <mithraen@altlinux.ru> 2.2.1-alt2
- fix build with -Wl,--as-needed

* Mon Jun 13 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb  9 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2-alt1
- 2.2
- merged dotneato in, no external consumers remain
- rest of old patches dropped, recent libgd doesn't needs them

* Thu Aug 12 2004 Dmitry V. Levin <ldv@altlinux.org> 1.12-alt3
- Moved dotneato library to separate subpackage (#4947).
- Rebuilt with libgd2-2.0.28.

* Sat Jun  5 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.12-alt2
- fixed font handling via gd, see #4269

* Tue Apr 13 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.12-alt1
- 1.12
- Tkspline packaged separately

* Thu Dec 11 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.10-alt2
- built with system libgd2 
- .la removed from devel subpackage

* Sat Sep 20 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.10-alt1
- 1.10

* Fri May 23 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.9-alt1
- 1.9

* Mon Jan 13 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.8.10-alt3
- rebuilt in new env

* Mon Nov 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.8.10-alt2
- libgd2 now in separate package
- rebuilt with (new) system libgd2

* Mon Oct 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.8.10-alt1
- 1.8.10
- additional packages separated:
  - libgd2
  - libgd2-devel
  - tcl-gd

* Thu Jul 25 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.8.8-alt1
- 1.8.8

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.7.4-alt2
- rebuilt with libpng.so.3

* Wed Jul 11 2001 Peter 'Nidd' Novodvorsky <nidd@altlinux.ru> 1.7.4-alt1
- ALT Linux adaptations.

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.4-3mdk
- fix word.c

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.4-2mdk
- bzip2 sources & diff

* Thu Jan  4 2001 Pixel <pixel@mandrakesoft.com> 1.7.4-1mdk
- initial spec

